Page MenuHomePhabricator

efl_ui/scrollable_content: be more explicit about scrollable_content_get()
ClosedPublic

Authored by zmike on Sep 11 2019, 10:35 AM.

Details

Summary

always return NULL when an internal text object exists to avoid exposing
internal objects; this is an abstraction mechanism which should not be
extended or relied upon

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Sep 11 2019, 10:35 AM
zmike requested review of this revision.Sep 11 2019, 10:35 AM
segfaultxavi requested changes to this revision.Sep 12 2019, 1:52 AM

Does not apply.

This revision now requires changes to proceed.Sep 12 2019, 1:52 AM
segfaultxavi accepted this revision.Sep 13 2019, 9:51 AM

This looks fine.

This revision is now accepted and ready to land.Sep 13 2019, 9:51 AM
This revision was automatically updated to reflect the committed changes.